<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="23" short-name="false-alarm" url="https://polygon.codeforces.com/p56JNKn/tourist/false-alarm">
    <names>
        <name language="english" value="False Alarm"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>60</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="gen_random -n=1 -low=0 -high=0" method="generated"/>
                <test cmd="gen_random -n=1 -low=120 -high=120" method="generated"/>
                <test cmd="gen_random -n=1 -low=0 -high=3" method="generated"/>
                <test cmd="gen_random -n=1 -low=118 -high=120" method="generated"/>
                <test cmd="gen_random -n=2 -low=0 -high=1" method="generated"/>
                <test cmd="gen_random -n=2 -low=119 -high=120" method="generated"/>
                <test cmd="gen_random -n=2 -low=0 -high=6" method="generated"/>
                <test cmd="gen_random -n=2 -low=115 -high=120" method="generated"/>
                <test cmd="gen_random -n=3 -low=0 -high=2" method="generated"/>
                <test cmd="gen_random -n=3 -low=118 -high=120" method="generated"/>
                <test cmd="gen_random -n=3 -low=0 -high=9" method="generated"/>
                <test cmd="gen_random -n=3 -low=112 -high=120" method="generated"/>
                <test cmd="gen_random -n=4 -low=0 -high=3" method="generated"/>
                <test cmd="gen_random -n=4 -low=117 -high=120" method="generated"/>
                <test cmd="gen_random -n=4 -low=0 -high=12" method="generated"/>
                <test cmd="gen_random -n=4 -low=109 -high=120" method="generated"/>
                <test cmd="gen_random -n=1 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=1 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=1 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=2 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=2 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=2 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=3 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=3 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=3 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=4 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=4 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=4 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=5 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=5 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=5 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=6 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=6 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=6 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=7 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=7 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=7 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=8 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=8 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=8 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=9 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=9 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=9 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=10 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=10 -low=0 -high=50" method="generated"/>
                <test cmd="gen_random -n=10 -low=100 -high=120" method="generated"/>
                <test cmd="gen_random -n=12 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=15 -low=0 -high=120" method="generated"/>
                <test cmd="gen_random -n=20 -low=0 -high=120" method="generated"/>
                <test cmd="gen_step -n=20 -low=0 -step=5" method="generated"/>
                <test cmd="gen_step -n=20 -low=0 -step=6" method="generated"/>
                <test cmd="gen_step -n=13 -low=0 -step=10" method="generated"/>
                <test cmd="gen_step -n=11 -low=0 -step=11" method="generated"/>
                <test cmd="gen_step -n=7 -low=0 -step=20" method="generated"/>
                <test cmd="gen_step -n=2 -low=0 -step=120" method="generated"/>
                <test cmd="gen_step -n=3 -low=0 -step=60" method="generated"/>
                <test cmd="gen_step -n=5 -low=0 -step=30" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen_random.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_random.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_step.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_step.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::ncmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validate.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/validate.exe" type="exe.win32"/>
                <testset>
                    <test-count>16</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/290828209_smalyarovsky_shevlopmes_TimDee_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290828209_smalyarovsky_shevlopmes_TimDee_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290829175_ikrpprppp_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290829175_ikrpprppp_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290863755_izban_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/290863755_izban_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290864112_enot110_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/290864112_enot110_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/290890646_zidder_ok.py" type="python.3"/>
                <binary path="solutions/290890646_zidder_ok.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291127941_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/291127941_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/291230977_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/291230977_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/f_gk.py" type="python.3"/>
                <binary path="solutions/f_gk.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/f_gk_wa_11.py" type="python.3"/>
                <binary path="solutions/f_gk_wa_11.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/f_gk_wa_begin.py" type="python.3"/>
                <binary path="solutions/f_gk_wa_begin.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/f_gk_wa_end.py" type="python.3"/>
                <binary path="solutions/f_gk_wa_end.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/f_gk_wa_parse.py" type="python.3"/>
                <binary path="solutions/f_gk_wa_parse.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/sol.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_persiki.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/sol_persiki.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="time"/>
    </tags>
</problem>
